aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-10-03 21:42:35 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-10-03 21:42:35 +0300
commit4faa24a23ddef72187267ef1e03ef7573a6ae377 (patch)
tree96d626ffd11a9a90d502fe0596f249f4668352c8
parentde00d42d6e3f82625b453461fae0deb56bd65006 (diff)
require zsh >= 5.4 for state dumps
-rwxr-xr-xinternal/p10k.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 2b6519df..08f5f95a 100755
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -3358,7 +3358,7 @@ _p9k_save_status() {
}
function _p9k_dump_state() {
- is-at-least 5.3 || return
+ is-at-least 5.4 || return # `typeset -g` doesn't roundtrip in zsh prior to 5.4.
local dir=${__p9k_dump_file:h}
[[ -d $dir ]] || mkdir -pm 0700 $dir || return
[[ -w $dir && -z $dir(#qNR) ]] || return